Skip to main content
`Ctrl`+`K`

# DMSNESGetObjective

Returns the objective function set with `DMSNESSetObjective()`

## Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESGetObjective(DM dm, SNESObjectiveFn **obj, void **ctx)

Not Collective

## Input Parameter

- dm - `DM` to be used with `SNES`

## Output Parameters

- obj - objective evaluation routine (or `NULL`); see `SNESObjectiveFn` for the calling sequence

- ctx - the function context (or `NULL`)

## Note

`SNESGetFunction()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`.

## See Also

SNES: Nonlinear Solvers, `DMSNES`, `DMSNESSetContext()`, `DMSNESSetObjective()`, `SNESSetFunction()`, `SNESObjectiveFn`

## Level

developer

## Location

src/snes/utils/dmsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages